POST api/NTQA/GetDuplicateCase
Request Information
URI Parameters
None.
Body Parameters
QueryParameter| Name | Description | Type | Additional information |
|---|---|---|---|
| PageNum | integer |
None. |
|
| PageSize | integer |
None. |
|
| Sort | Sort |
None. |
|
| Sorts | Collection of Sort |
None. |
|
| Filters | Collection of Filter |
None. |
|
| extends | Dictionary of string [key] and Object [value] |
None. |
Request Formats
application/json, text/json
Sample:
{
"PageNum": 1,
"PageSize": 2,
"Sort": {
"Field": "sample string 1",
"Dir": "sample string 2"
},
"Sorts": [
{
"Field": "sample string 1",
"Dir": "sample string 2"
},
{
"Field": "sample string 1",
"Dir": "sample string 2"
}
],
"Filters": [
{
"Field": "sample string 1",
"Operator": "sample string 2",
"Value": {},
"Logic": "sample string 4",
"Filters": []
},
{
"Field": "sample string 1",
"Operator": "sample string 2",
"Value": {},
"Logic": "sample string 4",
"Filters": []
}
],
"extends": {
"sample string 1": {},
"sample string 3": {}
}
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfListOfNTCasesQADTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of NTCasesQADTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"CaseNo": 1,
"Status": 1,
"IncidentDate": "sample string 2",
"InjuryType": "sample string 3",
"EmployeeID": "sample string 4",
"CompanyEmployeeId": "sample string 5",
"LastName": "sample string 6",
"FirstName": "sample string 7",
"DOB": "sample string 8",
"CompanyName": "sample string 9",
"WLName": "sample string 10",
"LevelOfCare": "sample string 11",
"CompanyCode": "sample string 12",
"Correct": true,
"InCorrect": true
},
{
"CaseNo": 1,
"Status": 1,
"IncidentDate": "sample string 2",
"InjuryType": "sample string 3",
"EmployeeID": "sample string 4",
"CompanyEmployeeId": "sample string 5",
"LastName": "sample string 6",
"FirstName": "sample string 7",
"DOB": "sample string 8",
"CompanyName": "sample string 9",
"WLName": "sample string 10",
"LevelOfCare": "sample string 11",
"CompanyCode": "sample string 12",
"Correct": true,
"InCorrect": true
}
],
"totalCount": 3
}